body {
    background: url("../img/bg.png") 50% 50% no-repeat;
    background-size: cover;
    background-attachment: fixed;
}

.root {
    width: 100%;
    min-height: 100vh;
    max-width: 100%;
    overflow: hidden;
    padding-bottom: rem(90);

    @include media-breakpoint-up(sm) {
        padding-top: rem(20);
    }

    @include media-breakpoint-up(md) {
        padding: rem(40) rem(20);
    }
}

.card {
    font-size: rem(16);
    line-height: rem(24);

    &__media {
        display: block;
    }

    &__main {
        padding: rem(26) rem(16);
        background: $white;
    }

    &__header {
        text-align: center;
        margin-bottom: rem(12);
    }

    &__title {
        font-weight: 700;
        font-size: rem(22);
        line-height: rem(28);
    }

    &__description {
        opacity: 0.6;
        font-size: rem(16);
        line-height: rem(20);
        margin-top: rem(12);
    }

    &__group {
        color: $black;
        padding: rem(10) 0;
        min-height: rem(54);
        display: flex;
        align-items: center;
        text-decoration: none;
        border-bottom: 1px solid rgb(240, 240, 240);

        &:hover {
            color: $black;
            text-decoration: none;
        }
    }

    &__icon {
        font-size: 0;
        line-height: 0;
        height: rem(22);
        margin-right: rem(16);
        display: inline-block;
    }

    &__value {
        display: inline-block;
    }

    &__links {
        display: flex;
        align-items: center;
    }

    &__button {
        left: 0;
        bottom: 0;
        z-index: 100;
        width: 100%;
        position: fixed;
        padding: rem(20) rem(16);

        .btn {
            width: 100%;
        }
    }

    @include media-breakpoint-up(sm) {
        padding: rem(20);
        width: rem(400);
        margin: 0 auto;
        background: $white;

        &__button {
            left: calc(50% - 180px);
            width: rem(360);
        }
    }

    @include media-breakpoint-up(md) {
        width: 100%;
        display: flex;

        &__button {
            width: 100%;
            left: auto;
            bottom: auto;
            position: relative;
            padding: rem(20) 0 0 0;
        }

        &__media {
            width: rem(300);
            flex-shrink: 0;
        }

        &__main {
            padding: 0 0 0 rem(20);
        }

        &__header {
            text-align: left;
        }
    }

    @include media-breakpoint-up(lg) {
        width: rem(940);
        margin: 0 auto;
        padding: rem(32);

        &__media {
            width: rem(365);
        }

        &__main {
            padding-left: rem(40);
        }

        &__title {
            font-weight: 500;
            font-size: rem(30);
            line-height: rem(36);
        }
    }
}

.card-social {
    padding-top: rem(24);

    &__icon {
        font-size: 0;
        line-height: 0;
        height: rem(22);
        margin-right: rem(16);
        display: none;
    }

    &__title {
        font-weight: 700;
        font-size: rem(18);
        line-height: rem(24);
        margin-bottom: rem(15);
    }

    &__main {
        padding: rem(20);
        display: flex;
        align-items: center;
        box-shadow: rgba(0, 0, 0, 0.07) 0px 4px 24px 0px;
    }

    &__link {
        width: rem(37);
        height: rem(37);
        font-size: 0;
        line-height: 0;
        display: inline-block;
        margin-right: rem(26);
    }

    @include media-breakpoint-up(md) {
        padding: rem(16) 0;
        display: flex;
        align-items: center;

        &__title {
            display: none;
        }

        &__icon {
            display: inline-block;
        }

        &__main {
            padding: 0;
            background: transparent;
            box-shadow: none;
        }
    }
}

.modal {
    width: 95%;
    max-width: rem(420);
    border-radius: rem(6);
    padding: rem(40) rem(20) rem(30) rem(20);

    &__header {
        text-align: center;
        font-weight: 500;
        font-size: rem(16);
        line-height: rem(24);
        margin-bottom: rem(40);
    }

    &__body {
        display: flex;
        flex-wrap: wrap;
        justify-content: space-between;
    }

    &__item {
        width: calc(50% - 15px);
        flex-shrink: 0;

        &--xl {
            width: 100%;
            padding-top: rem(20);
        }
    }

    &__close {
        top: 0;
        right: 0;
        margin: 0;
        padding: 0;
        z-index: 100;
        width: 40px;
        height: 40px;
        border: none;
        outline: none;
        cursor: pointer;
        position: absolute;
        background: transparent;
        border-radius: 50%;
        display: inline-block;
        transition: .3s;

        &:after,
        &:before {
            top: calc(50% - 1px);
            left: calc(50% - 8px);
            width: 16px;
            height: 2px;
            content: '';
            z-index: 10;
            position: absolute;
            background: $black;
        }

        &:after {
            transform: rotate(-45deg);
        }

        &:before {
            transform: rotate(45deg);
        }

        &:hover {
            transition: .3s;

            &:after,
            &:before {
                background: rgba(255, 99, 62, 1);
            }
        }

        &:active {
            background: #B00F18;
        }
    }

    @include media-breakpoint-up(md) {
        width: rem(420);
    }
}


@include media-breakpoint-up(sm) {}
@include media-breakpoint-up(md) {}
@include media-breakpoint-up(lg) {}
@include media-breakpoint-up(xl) {}
@include media-breakpoint-up(xxl) {}
